org.apache.http.entity.mime

## Class Header

- java.lang.Object
- - org.apache.http.entity.mime.Header

All Implemented Interfaces:
  Iterable<MinimalField>

    public class Header
    extends Object
    implements Iterable<MinimalField>

The header of an entity (see RFC 2045).

### Constructor Summary

Constructors
Constructor and Description
`Header()`

### Method Summary

Methods
`void` `addField(MinimalField field)`
`MinimalField` `getField(String name)`
`List<MinimalField>` `getFields()`
`List<MinimalField>` `getFields(String name)`
`Iterator<MinimalField>` `iterator()`
`int` `removeFields(String name)`
`void` `setField(MinimalField field)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Header

    public Header()

### Method Detail

#### addField

    public void addField(MinimalField field)

#### getFields

    public List<MinimalField> getFields()

#### getField

    public MinimalField getField(String name)

#### getFields

    public List<MinimalField> getFields(String name)

#### removeFields

    public int removeFields(String name)

#### setField

    public void setField(MinimalField field)

#### iterator

    public Iterator<MinimalField> iterator()

Specified by:
  `iterator` in interface `Iterable<MinimalField>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`